Convert demo client to live

POST https://api.tamio.com/v2/clients/make-live/{uuid}

Converts a demo client account to a live production account. The client must currently be in demo status and the agency must have available client quota.

Path Parameters

uuid string*

UUID of the demo client to convert to live

Responses

200 Client converted to live successfully

Client converted to live successfully

status integer
client Client
400 Validation or business-logic error. Possible `error_code` values:
401 Unauthorized – invalid or missing Bearer token
/clients/make-live/{uuid}
1const response = await fetch("https://api.tamio.com/v2/clients/make-live/{uuid}", {
2 method: "POST",
3 headers: {
4 "Authorization": "Bearer YOUR_API_KEY",
5 "Content-Type": "application/json"
6 },
7 body: JSON.stringify({
8 // ... request body
9 })
10});
11const data = await response.json();
Responses
{
  "status": 200,
  "client": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "object": "client",
    "customer_id": "660e8400-e29b-41d4-a716-446655440000",
    "email": "[email protected]",
    "telephone": "+49123456789",
    "name": "Acme Corp",
    "country": "de",
    "locale": "en",
    "status": "active",
    "is_demo": false,
    "is_suspended": false,
    "is_translator": false,
    "is_agency": false,
    "registration_date": 1700000000,
    "admin": {
      "id": 0,
      "email": "string",
      "name": "string"
    },
    "business_information": {},
    "billing_plan": {},
    "quotas": {
      "automations_quota": 0,
      "transaction_quota": 0,
      "datatransfer_quota": 0,
      "storage_quota": 0,
      "languages_quota": 0,
      "products_quota": 0,
      "domains_quota": 0,
      "currencies_quota": 0,
      "teammates_quota": 0,
      "api_quota": 0,
      "newsletters_quota": 0,
      "ai_quota": 0,
      "sms_balance": 0
    },
    "permissions": {}
  }
}